Bric::Util::Grp::Keyword(3p)

NAME
Bric::Util::Grp::Keyword - Interface to Bric::Biz::Keyword Groups

VITALS

Version
    $LastChangedRevision$

Date
    $LastChangedDate: 2004-09-14 02:48:55 +0200 (Tue, 14 Sep 2004) $

Subversion ID
    $Id: Keyword.pm 5927 2004-09-14 00:48:55Z theory $

SYNOPSIS
See Bric::Util::Grp

DESCRIPTION
See Bric::Util::Grp.

INTERFACE

  Constructors
Inherited from Bric::Util::Grp.

  Class Methods
get_supported_classes

  my $supported_classes = Bric::Util::Grp::Keyword->get_supported_classes;

This will return an anonymous hash of the supported classes in the group as keys with the short name as a value. The short name is used to construct the member table names and the foreign key in the table.

get_object_class_id

 my $class_id = Bric::Util::Grp::Keyword->get_object_class_id;

If this method returns an ID, then all objects returne as members of this class of group will be instances of the class represented by that ID. If no ID is returned, then member objects will not be forced into the single class.

get_list_classes

  my @list_classes = Bric::Util::Grp::Keyword->get_list_classes;

Returns a list or anonymous array of the supported classes in the group that can have their "list()" methods called in succession to assemble a list of member objects. This data varies from that stored in the keys in the hash reference returned by "get_supported_classes" in that some classes' "list()" methods may inherit from others, and we don't want the same "list()" method executed more than once.

Throws: NONE.

Side Effects: NONE.

Notes: NONE.

get_class_id

  my $class_id = Bric::Util::Grp::Keyword->get_class_id;

Returns the Bric::Util::Class object ID representing this class.

get_secret

  my $secret = Bric::Util::Grp::Keyword->get_secret;

Returns false, because groups of this class are not secret groups, but groups that can be used by users.

my_class

  my $class = Bric::Util::Grp::Keyword->my_class;

Returns the Bric::Util::Class object representing this class.

member_class

  my $class = Bric::Util::Grp::Keyword->member_class;

Returns the Bric::Util::Class object representing the members of this group.

  Instance Methods
Inherited from Bric::Util::Grp.

AUTHOR
David Wheeler <david@kineticode.com>

SEE ALSO

Bric::Util::Grp
Bric::Biz::Keyword